net.corda.jackson

## Class JacksonSupport.SecureHashDeserializer<T extends SecureHash>

- net.corda.jackson.JacksonSupport.SecureHashDeserializer<T>

- Enclosing class:
    JacksonSupport

      public static class JacksonSupport.SecureHashDeserializer<T extends SecureHash>

  Implemented as a class so that we can instantiate for T.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecureHashDeserializer()` Implemented as a class so that we can instantiate for T.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `deserialize(com.fasterxml.jackson.core.JsonParser parser, com.fasterxml.jackson.databind.DeserializationContext context)`

- - ### Constructor Detail

    - #### SecureHashDeserializer

          public SecureHashDeserializer()

      Implemented as a class so that we can instantiate for T.

  - ### Method Detail

    - #### deserialize

          public T deserialize(com.fasterxml.jackson.core.JsonParser parser,
                               com.fasterxml.jackson.databind.DeserializationContext context)